Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Sep 2014, 01:52
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
steam for precise & slacko
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [39 Posts]   Goto page: 1, 2, 3 Next
Author Message
666philb


Joined: 07 Feb 2010
Posts: 1693
Location: wales

PostPosted: Fri 22 Mar 2013, 13:37    Post subject:  steam for precise & slacko  

here's steam for puppy precise & slacko
(it may also work in other modern pups)



i've hacked it a bit to remove the zenity dependence, treat it as experimental.

http://www.wuala.com/666philb/Documents/steam.pet/ 2mb

Steam requires python so you'll need to install the devx for it to work

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739

Last edited by 666philb on Thu 19 Sep 2013, 10:05; edited 4 times in total
Back to top
View user's profile Send private message 
Gnuxo

Joined: 09 Feb 2012
Posts: 365

PostPosted: Sun 31 Mar 2013, 20:16    Post subject:  

I tried to download it but Mediafire says the download is corrupt and won't let me download.

Can you upload to an alternate host in case?
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1693
Location: wales

PostPosted: Mon 01 Apr 2013, 08:47    Post subject:  

thanks for letting me know gnuxo, i've re-uploaded it
_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
ichimitch

Joined: 15 Sep 2013
Posts: 3

PostPosted: Mon 16 Sep 2013, 05:34    Post subject:  

Thank you! Very Happy
Back to top
View user's profile Send private message 
darkcity


Joined: 23 May 2010
Posts: 2452
Location: near here

PostPosted: Mon 16 Sep 2013, 05:47    Post subject:  

http://puppylinux.org/wikka/Steam added to wiki Cool
Back to top
View user's profile Send private message Visit poster's website 
8-bit


Joined: 03 Apr 2007
Posts: 3368
Location: Oregon

PostPosted: Thu 03 Oct 2013, 19:26    Post subject:  

As I am getting a bit on in age and do not want to inadvertently purchase something when using steam, I am not installing it or agreeing to fill out the form that as part of it wants a billing address.
There are enough other sites one can play games on without having to agree to a form to be able to play the games.
The agreement form looks like it was written by a lawyer and as part of it, class action suits are not allowed and it appears one has no recourse if say for instance when playing a game, an option in the game says you can purchase so and so to help you.
So for those that think this is a free gaming site, be forewarned that it, to me, looks more like a hook.
Let it catch some other fish.
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1693
Location: wales

PostPosted: Fri 04 Oct 2013, 06:18    Post subject:  

hi 8bit .. there's some information on steam here http://en.wikipedia.org/wiki/Steam_%28software%29

there is some amazing free content on steam (dota2, team fortress etc), but mostly it has games you have to pay for. Think of it like a computer game shop, although significantly cheaper.

steam is doing amazing things for gaming on linux! because of it's dominance in game distribution, now that it has a client for linux, a lot more games are being developed for it, and when i say games i don't mean picpuz! Smile i mean things like these ....
http://www.youtube.com/watch?v=UaIe9T_VDWc
http://www.youtube.com/watch?v=EL4bllPZEdE
http://www.youtube.com/watch?v=OY8kz9fgde0

and all the games i've tried so far work on puppy

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 762

PostPosted: Sun 06 Oct 2013, 21:01    Post subject:  

Valve are porting many of their games to linux, so you won't need wine or windows anymore to play their games.
And, as a bonus, they are helping nvidia to improve their "closed source" drivers for linux.
Back to top
View user's profile Send private message 
Amgine


Joined: 21 Sep 2011
Posts: 233
Location: Washington State

PostPosted: Fri 11 Oct 2013, 13:11    Post subject:  

I have an Oblivion CD for Windows. Dose this mean I can play it now? I do see Oblivion on Steams List.
_________________
Ubuntu-One Cloud Storage, Know where your Puppy files are, Back-up & Share files. https://one.ubuntu.com/referrals/referee/2118185/"]Sign Up!
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1693
Location: wales

PostPosted: Fri 11 Oct 2013, 14:12    Post subject:  

hi Amgine'

i think that's windows only at the moment ...

a friend did tell me though that you can import games that you own into steam, i haven't tried it though

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 762

PostPosted: Mon 13 Jan 2014, 10:29    Post subject:  

hi 666philb,
I would like to know how to make steam work the original script from http://media.steampowered.com/client/installer/steam.deb
It cannot run with root account , so needs fido or spot, or some other modifications ?
It needs GTK-3, how to do without ? Also zenity ?
I also noticed problem with S3TC.
Thanks.
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1693
Location: wales

PostPosted: Tue 14 Jan 2014, 07:46    Post subject:  

linuxcbon wrote:
hi 666philb,
I would like to know how to make steam work the original script from http://media.steampowered.com/client/installer/steam.deb
It cannot run with root account , so needs fido or spot, or some other modifications ?
It needs GTK-3, how to do without ? Also zenity ?
I also noticed problem with S3TC.
Thanks.


hi linuxcbon,

i can't quite remember everything that i did Smile

however....

you get rid of the root warning by commenting out lines 137 - 141 in the /usr/bin/steam script (note that the line numbers may change as the script gets updated)
Code:
# Don't allow running as root
#if [ "$(id -u)" == "0" ]; then
#   show_message --error $"Cannot run as root user"
#   exit 1
#fi


i think it just needs zenity to display the license agreement asking you if you agreed to it, steam won't load unless you agree... you can bypass this by creating a text file called
Code:
steam_install_agreement.txt
and putting it in /root/.steam (just create the folder if it's not there)

steam only requires libgtk3 which is in modern pups.... not the entire gtk3 so don't worry about that
.
once you've done all the above steam will work (you need python installed)... but only if you run it in a terminal ... as it will ask you to press return. (just ignore the errors)

i can't remember though what i changed to make it be able to be able to run not in a terminal .... i obviously altered a script somewhere.

But you really don't need to do any of this .... just install the steam .pet above, and it will automatically update itself to the latest version of the client Smile

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
linuxcbon

Joined: 09 Aug 2007
Posts: 762

PostPosted: Tue 14 Jan 2014, 12:20    Post subject:  

Thanks for your feedback. I asked that to make it work even if they change their scripts.
Does it work with open-source or proprietary drivers ?
Didn't you have the S3TC problem ?
(I find steam games too heavy and their client too).
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1693
Location: wales

PostPosted: Tue 14 Jan 2014, 14:22    Post subject:  

Hi linuxcbon

I think the S3TC issue is driver related and so installing your graphic drivers should fix it.

_________________
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
LÖVE2d, a collection of 27 lua gameshttp://www.murga-linux.com/puppy/viewtopic.php?t=76739
Back to top
View user's profile Send private message 
bruiser

Joined: 21 Jan 2014
Posts: 4

PostPosted: Tue 21 Jan 2014, 23:00    Post subject:  

I've installed the above pet, the devx, and even Zenity, but still get some error messages.
Steam tries to unpack the run-time, but gives a pop-up that reads: "You are missing the following 32-bit libraries, and Steam may not run:
libpulse.so.0"
The command
Quote:
LD_LIBRARY_PATH=. ldd steamui.so

yields:
Code:
linux-gate.so.1 (0xffffe000)
   libcef.so => ./libcef.so (0xb36f1000)
   liboverride.so => ./liboverride.so (0xb36ef000)
   libsteam.so => ./libsteam.so (0xb33ad000)
   libtier0_s.so => ./libtier0_s.so (0xb337e000)
   libvstdlib_s.so => ./libvstdlib_s.so (0xb333b000)
   libSDL2-2.0.so.0 => ./libSDL2-2.0.so.0 (0xb3256000)
   libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb3241000)
   libXext.so.6 => /usr/lib/libXext.so.6 (0xb3230000)
   libX11.so.6 => /usr/lib/libX11.so.6 (0xb30fa000)
   libGL.so.1 => /usr/lib/libGL.so.1 (0xb308b000)
   libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb305a000)
   libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb3010000)
   libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb2f86000)
   libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb2f51000)
   libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb2eff000)
   libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb2dce000)
   libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0xb2c6b000)
   libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb280a000)
   librt.so.1 => /lib/librt.so.1 (0xb2801000)
   libpulse.so.0 => not found
   libm.so.6 => /lib/libm.so.6 (0xb27d4000)
   libdl.so.2 => /lib/libdl.so.2 (0xb27cf000)
   libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb26e8000)
   libpthread.so.0 => /lib/libpthread.so.0 (0xb26ce000)
   /lib/ld-linux.so.2 (0xb76f4000)
   libc.so.6 => /lib/libc.so.6 (0xb2549000)
   libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb2499000)
   libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb248d000)
   libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb246c000)
   libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb23cb000)
   libXi.so.6 => /usr/lib/libXi.so.6 (0xb23bc000)
   libasound.so.2 => /usr/lib/libasound.so.2 (0xb22c8000)
   libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb22bf000)
   libnss3.so => not found
   libnssutil3.so => not found
   libsmime3.so => not found
   libplc4.so => not found
   libnspr4.so => not found
   libz.so.1 => /lib/libz.so.1 (0xb22a8000)
   libdbus-1.so.3 => /usr/lib/libdbus-1.so.3 (0xb2271000)
   libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb224c000)
   libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb2247000)
   libcups.so.2 => /usr/lib/libcups.so.2 (0xb2208000)
   libgcrypt.so.11 => /lib/libgcrypt.so.11 (0xb2184000)
   libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb2167000)
   libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb215d000)
   libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb215a000)
   libXss.so.1 => /usr/lib/libXss.so.1 (0xb2156000)
   libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0xb2151000)
   libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb2130000)
   libXau.so.6 => /usr/lib/libXau.so.6 (0xb212d000)
   libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb2127000)
   libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb2123000)
   libX11-xcb.so.1 => /usr/lib/libX11-xcb.so.1 (0xb2121000)
   libxcb-glx.so.0 => /usr/lib/libxcb-glx.so.0 (0xb210a000)
   libdrm.so.2 => /usr/lib/libdrm.so.2 (0xb20fe000)
   libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb20fc000)
   libffi.so.6 => /usr/lib/libffi.so.6 (0xb20f5000)
   libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb20f1000)
   libbz2.so.1 => /lib/libbz2.so.1 (0xb20e0000)
   libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb20b8000)
   libresolv.so.2 => /lib/libresolv.so.2 (0xb209f000)
   libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0xb209b000)
   libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0xb2092000)
   libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb208f000)
   libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb206f000)
   libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb1ffc000)
   libpng14.so.14 => /usr/lib/libpng14.so.14 (0xb1fd5000)
   libssl.so.1.0.0 => /lib/libssl.so.1.0.0 (0xb1f72000)
   libcrypto.so.1.0.0 => /lib/libcrypto.so.1.0.0 (0xb1dbb000)
   libcrypt.so.1 => /lib/libcrypt.so.1 (0xb1d87000)
   libgpg-error.so.0 => /lib/libgpg-error.so.0 (0xb1d83000)


Any ideas how to get those missing libraries?
Any help appreciated.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 3 [39 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0945s ][ Queries: 12 (0.0071s) ][ GZIP on ]